### Hierarchy

- XmlComponent
  - Paragraph
    - ImageParagraph

## Index

### Constructors

- constructor

### Accessors

- Borders
- IsDeleted
- Properties

### Methods

- addBookmark
- addChildElement
- addHyperLink
- addImage
- addRun
- addRunToFront
- bidirectional
- bullet
- center
- centerTabStop
- createBorder
- createTextRun
- delete
- distribute
- end
- heading1
- heading2
- heading3
- heading4
- heading5
- heading6
- indent
- justified
- keepLines
- keepNext
- left
- leftTabStop
- maxRightTabStop
- pageBreak
- pageBreakBefore
- prepForXml
- referenceFootnote
- right
- rightTabStop
- setCustomNumbering
- setNumbering
- spacing
- start
- style
- thematicBreak
- title

## Constructors

### constructor

- new Paragraph(text?: undefined | string): Paragraph

- Overrides XmlComponent.constructor

  - Defined in file/paragraph/paragraph.ts:22

  #### Parameters

  - ##### Optional text: undefined | string

  #### Returns Paragraph

## Accessors

### Borders

- get Borders(): Border

- - Defined in file/paragraph/paragraph.ts:33

  #### Returns Border

### IsDeleted

- get IsDeleted(): boolean

- Inherited from BaseXmlComponent.IsDeleted

  - Defined in file/xml-components/base.ts:13

  #### Returns boolean

### Properties

- get Properties(): ParagraphProperties

- - Defined in file/paragraph/paragraph.ts:235

  #### Returns ParagraphProperties

## Methods

### addBookmark

- addBookmark(bookmark: Bookmark): Paragraph

- - Defined in file/paragraph/paragraph.ts:52

  #### Parameters

  - ##### bookmark: Bookmark

  #### Returns Paragraph

### addChildElement

- addChildElement(child: XmlComponent | string): XmlComponent

- Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:34

  #### Parameters

  - ##### child: XmlComponent | string

  #### Returns XmlComponent

### addHyperLink

- addHyperLink(hyperlink: Hyperlink): Paragraph

- - Defined in file/paragraph/paragraph.ts:47

  #### Parameters

  - ##### hyperlink: Hyperlink

  #### Returns Paragraph

### addImage

- addImage(image: Image): PictureRun

- - Defined in file/paragraph/paragraph.ts:66

  #### Parameters

  - ##### image: Image

  #### Returns PictureRun

### addRun

- addRun(run: Run): Paragraph

- - Defined in file/paragraph/paragraph.ts:42

  #### Parameters

  - ##### run: Run

  #### Returns Paragraph

### addRunToFront

- addRunToFront(run: Run): Paragraph

- - Defined in file/paragraph/paragraph.ts:225

  #### Parameters

  - ##### run: Run

  #### Returns Paragraph

### bidirectional

- bidirectional(): Paragraph

- - Defined in file/paragraph/paragraph.ts:230

  #### Returns Paragraph

### bullet

- bullet(indentLevel?: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:178

  #### Parameters

  - ##### Default value indentLevel: number = 0

  #### Returns Paragraph

### center

- center(): Paragraph

- - Defined in file/paragraph/paragraph.ts:108

  #### Returns Paragraph

### centerTabStop

- centerTabStop(position: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:173

  #### Parameters

  - ##### position: number

  #### Returns Paragraph

### createBorder

- createBorder(): Paragraph

- - Defined in file/paragraph/paragraph.ts:37

  #### Returns Paragraph

### createTextRun

- createTextRun(text: string): TextRun

- - Defined in file/paragraph/paragraph.ts:60

  #### Parameters

  - ##### text: string

  #### Returns TextRun

### delete

- delete(): void

- Inherited from XmlComponent.delete

  - Defined in file/xml-components/xml-component.ts:40

  #### Returns void

### distribute

- distribute(): Paragraph

- - Defined in file/paragraph/paragraph.ts:133

  #### Returns Paragraph

### end

- end(): Paragraph

- - Defined in file/paragraph/paragraph.ts:128

  #### Returns Paragraph

### heading1

- heading1(): Paragraph

- - Defined in file/paragraph/paragraph.ts:73

  #### Returns Paragraph

### heading2

- heading2(): Paragraph

- - Defined in file/paragraph/paragraph.ts:78

  #### Returns Paragraph

### heading3

- heading3(): Paragraph

- - Defined in file/paragraph/paragraph.ts:83

  #### Returns Paragraph

### heading4

- heading4(): Paragraph

- - Defined in file/paragraph/paragraph.ts:88

  #### Returns Paragraph

### heading5

- heading5(): Paragraph

- - Defined in file/paragraph/paragraph.ts:93

  #### Returns Paragraph

### heading6

- heading6(): Paragraph

- - Defined in file/paragraph/paragraph.ts:98

  #### Returns Paragraph

### indent

- indent(attrs: IIndentAttributesProperties): Paragraph

- - Defined in file/paragraph/paragraph.ts:200

  #### Parameters

  - ##### attrs: IIndentAttributesProperties

  #### Returns Paragraph

### justified

- justified(): Paragraph

- - Defined in file/paragraph/paragraph.ts:138

  #### Returns Paragraph

### keepLines

- keepLines(): Paragraph

- - Defined in file/paragraph/paragraph.ts:215

  #### Returns Paragraph

### keepNext

- keepNext(): Paragraph

- - Defined in file/paragraph/paragraph.ts:210

  #### Returns Paragraph

### left

- left(): Paragraph

- - Defined in file/paragraph/paragraph.ts:113

  #### Returns Paragraph

### leftTabStop

- leftTabStop(position: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:163

  #### Parameters

  - ##### position: number

  #### Returns Paragraph

### maxRightTabStop

- maxRightTabStop(): Paragraph

- - Defined in file/paragraph/paragraph.ts:158

  #### Returns Paragraph

### pageBreak

- pageBreak(): Paragraph

- - Defined in file/paragraph/paragraph.ts:148

  #### Returns Paragraph

### pageBreakBefore

- pageBreakBefore(): Paragraph

- - Defined in file/paragraph/paragraph.ts:153

  #### Returns Paragraph

### prepForXml

- prepForXml(): IXmlableObject

- Inherited from XmlComponent.prepForXml

  Overrides BaseXmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:13

  #### Returns IXmlableObject

### referenceFootnote

- referenceFootnote(id: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:220

  #### Parameters

  - ##### id: number

  #### Returns Paragraph

### right

- right(): Paragraph

- - Defined in file/paragraph/paragraph.ts:118

  #### Returns Paragraph

### rightTabStop

- rightTabStop(position: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:168

  #### Parameters

  - ##### position: number

  #### Returns Paragraph

### setCustomNumbering

- setCustomNumbering(numberId: number, indentLevel: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:190

  #### Parameters

  - ##### numberId: number

  - ##### indentLevel: number

  #### Returns Paragraph

### setNumbering

- setNumbering(numbering: Num, indentLevel: number): Paragraph

- - Defined in file/paragraph/paragraph.ts:184

  #### Parameters

  - ##### numbering: Num

  - ##### indentLevel: number

  #### Returns Paragraph

### spacing

- spacing(params: ISpacingProperties): Paragraph

- - Defined in file/paragraph/paragraph.ts:205

  #### Parameters

  - ##### params: ISpacingProperties

  #### Returns Paragraph

### start

- start(): Paragraph

- - Defined in file/paragraph/paragraph.ts:123

  #### Returns Paragraph

### style

- style(styleId: string): Paragraph

- - Defined in file/paragraph/paragraph.ts:195

  #### Parameters

  - ##### styleId: string

  #### Returns Paragraph

### thematicBreak

- thematicBreak(): Paragraph

- - Defined in file/paragraph/paragraph.ts:143

  #### Returns Paragraph

### title

- title(): Paragraph

- - Defined in file/paragraph/paragraph.ts:103

  #### Returns Paragraph

Generated using TypeDoc